"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b033040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10b0330d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b033160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10b0331f0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10b033280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10b033310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b0333a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b033430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b0334c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10b033550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10b0335e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10b033670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10b033700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10b033790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10b033820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10b0338b0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10b033940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10b0339d0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10b033a60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10b033af0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10b033b80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10b033c10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10b033ca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10b033d30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b033e50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10b033dc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10b033ee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10b033f70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10b038040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10b0380d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10b038160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10b0381f0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10b038280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10b038310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10b0383a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10b038430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10b0384c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10b038550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b0385e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b038670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10b038700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10b038790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10b038820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10b0388b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10b038940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10b0389d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10b038a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b038af0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10b038b80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10b038c10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10b038ca0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10b038d30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b038dc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10b038e50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10b038ee0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b038f70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b0d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b1f0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b3a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b4c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b8b0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03ba60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10b03b9d0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10b03baf0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bb80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bc10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bd30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bca0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bdc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10b03be50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bee0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10b03bf70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10b03f040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10b03f0d0>)]
name: str = 'fr_HOCCN'
